## org.apache.tools.ant.taskdefs.optional.extension.resolvers
Class LocationResolver

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.extension.resolvers.LocationResolver

All Implemented Interfaces:
  ExtensionResolver

public class LocationResolver
extends java.lang.Object
implements ExtensionResolver

Resolver that just returns s specified location.

Version:
  $Revision: 1.6 $ $Date: 2003/07/19 08:11:04 $
Author:
  Peter Donald, Jeff Turner

Constructor Summary
`LocationResolver()`

Method Summary
`java.io.File` `resolve(Extension extension, Project project)` Attempt to locate File that satisfies extension via resolver.
`void` `setLocation(java.lang.String location)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocationResolver

    public LocationResolver()

Method Detail

### setLocation

    public void setLocation(java.lang.String location)

### resolve

    public java.io.File resolve(Extension extension,
                                Project project)
                         throws BuildException

  Description copied from interface: `ExtensionResolver`
  Attempt to locate File that satisfies extension via resolver.

  Specified by:
    `resolve` in interface `ExtensionResolver`
  Parameters:
    `extension` - the extension
    `project` - the Ant project instance
  Returns:
    the File satisfying extension, null if can not resolve extension
  Throws:
    `BuildException` - if error occurs attempting to resolve extension

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.